Export do not call list
curl --request GET \
--url https://api.getstrada.com/api/export/do-not-call-list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getstrada.com/api/export/do-not-call-list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getstrada.com/api/export/do-not-call-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"doNotCallList": [
{
"customerPhoneNumber": "+14155551234",
"callId": "call_abc123",
"createdAt": "2024-01-15T10:30:00Z"
},
{
"customerPhoneNumber": "+14155555678",
"callId": null,
"createdAt": "2024-01-14T08:15:00Z"
}
],
"metadata": {
"nextPage": "https://api.getstrada.com/api/export/do-not-call-list?createdAtLt=2024-01-14T08:14:59.999Z&pageSize=10000"
}
}Export
Export do not call list
Retrieve a paginated list of phone numbers on the Do Not Call list. Use this endpoint for bulk export of DNC data.
GET
/
api
/
export
/
do-not-call-list
Export do not call list
Authorizations
API Key authentication
Query Parameters
Filter entries created after this timestamp
Filter entries created before this timestamp
Number of results per page (max 10000)
Required range:
1 <= x <= 10000Was this page helpful?
⌘I